import sys
import irman

irman.init_commands()
filename = irman.default_portname()

if len(sys.argv) == 2:
    filename = sys.argv[1]
elif not filename:
    print "usage: test_name device"
    print "       where device is the serial port at which the infra red"
    print "       receiver resides, eg /dev/ttyS1 for COM2 on a PC running Linux"
    exit(0)

irman.init(filename)
print "ok"

try:
    while 1:
        text = irman.get_text()
        name = irman.text_to_name(text)
        print "rx '%s'" % name
finally:
    irman.finish()
